package org.artifactory.ph;

import org.artifactory.descriptor.repo.RepoType;
import org.jetbrains.annotations.NotNull;

public interface PackageSpecification {

    /**
     * Indicates whether the specified path is a package in the given repository key.
     *
     * @return true if the artifact path represent a package
     */
    boolean isPackageArtifact(@NotNull String repoKey, @NotNull String path);

    /**
     * The method is used by artifactory to identify whether the package type & repo type are supporting reindex
     */
    boolean hasReindex(org.artifactory.common.repo.RepoType repoType, RepoType packageType);
}
