package org.artifactory.repo;

import org.apache.commons.lang.StringUtils;
import org.artifactory.descriptor.repo.FederatedRepoDescriptor;
import org.artifactory.descriptor.repo.ProxyDescriptor;
import org.testng.annotations.Test;

import static org.testng.Assert.assertEquals;
import static org.testng.Assert.assertTrue;

/**
 * @author Alexei Vainshtein
 */
public class FederatedRepositoryConfigurationImplTest {

    @Test
    public void testDefaultType() {
        FederatedRepoDescriptor federatedRepoDescriptor = new FederatedRepoDescriptor();
        FederatedRepositoryConfiguration configuration =
                new FederatedRepositoryConfigurationImpl(federatedRepoDescriptor);
        assertEquals(configuration.getType(), FederatedRepositoryConfigurationImpl.TYPE);
        assertTrue(StringUtils.isBlank(configuration.getProxy()));
    }

    @Test
    public void testAddingProxy() {
        FederatedRepoDescriptor federatedRepoDescriptor = new FederatedRepoDescriptor();
        ProxyDescriptor proxy = new ProxyDescriptor();
        proxy.setKey("key");
        federatedRepoDescriptor.setProxy(proxy);
        FederatedRepositoryConfigurationImpl configuration =
                new FederatedRepositoryConfigurationImpl(federatedRepoDescriptor);
        assertEquals(configuration.getType(), FederatedRepositoryConfigurationImpl.TYPE);
        assertEquals(configuration.getProxy(), "key");

        configuration.setProxy("newKey");
        assertEquals(configuration.getProxy(), "newKey");
    }
}