package org.artifactory.core.api.ph.model;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import org.artifactory.core.api.ph.virtual.resolution.PackageRequestContext;

import javax.annotation.Nullable;
import javax.annotation.concurrent.Immutable;

@Immutable
@Getter
@EqualsAndHashCode
public class PackageDownloadContext implements PackageRequestContext {
    private final String path;
    private final String repoKey;
    @Nullable
    private final String alternativeUrl;

    public PackageDownloadContext(String repoKey, String path) {
        this(repoKey, path, null);
    }

    public PackageDownloadContext(String repoKey, String path, @Nullable String alternativeUrl) {
        this.repoKey = repoKey;
        this.path = path;
        this.alternativeUrl = alternativeUrl;
    }
}
