package org.artifactory.core.api.ph.virtual.resolution;

import org.artifactory.common.resource.BaseResource;

public interface PackageVirtualResolver {

    /**
     *
     * @param repoKey - Virtual repo key
     * @param packageRepo - Real repo with the resource
     * @param resource - Resource that found under the given packageRepo
     * @param requestContext - Original download request context
     * @return VirtualResolverState to resolve by
     */
    default VirtualResolverState foundItemOnRepo(String repoKey, PackageRepo packageRepo, BaseResource resource,
            PackageRequestContext requestContext) {
        return VirtualResolverState.returnCurrentValue;
    }

    /**
     * Implement this value in case you using VirtualResolverState$collected in foundItemOnRepo
     * @param repoKey - Virtual repo key
     * @param requestContext - Original download request context
     * @return
     */
    default BaseResource overrideResource(String repoKey, PackageRequestContext requestContext) {
        return null;
    }
}
